# norootforbuild

# definition von softwarename, version und release
%define name      libdvdread
%define version   0.9.7
%define release   12

%define major     3
%define libname   libdvdread

Name:           %{name}%{major}
Summary:        Library to access video DVDs
Summary(de):    Bibliothek um auf Video-DVDs zuzugreifen
License:        GPL
Group:          Productivity/Multimedia/Other
URL:            http://www.dtek.chalmers.se/groups/dvd/index.shtml
Version:        %{version}
Release:        13.1

Source0:        libdvdread-0.9.7.tar.bz2

Patch0:         libdvdread-0.9.7-udffindfile.patch
Patch1:         libdvdread_udf.patch
Patch2:		libdvdread-strict-aliasing.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
Prefix:         %{_prefix}
Provides:       %{libname} = %{version}
Obsoletes:      %{libname}
BuildRequires:  gcc

%description
libdvdread provides a simple foundation for reading DVD-Video images.
It offers DVD applications:

1. A simple abstraction for reading the files on a DVD image
   (dvd_reader.h).
2. A simple library for parsing the information (IFO) files
   (ifo_read.h/ifo_types.h).
3. A simple library for parsing the navigation (NAV) packets
   (nav_read.h/nav_types.h).

This allows application designers to access some of the more advanced
features of the DVD format.

libdvdread currently uses libdl to dynamically probe for libdvdcss at
runtime.  If libdvdcss is found, then it will be used to decrypt the
encrypted sections of a DVD.

Authors:
--------
    Björn Englund <d4bjorn@dtek.chalmers.se>
    Håkan Hjort <d95hjort@dtek.chalmers.se>
    Billy Biggs <vektor@dumbterm.net>
    Christian Wolff <scarabaeus@convergence.de>

%description -l de
Die libdvdread Bibliothek stellt einfache Basisfunktionen für den Zugriff
auf Video-DVDs zuzugreifen.
Es stellt DVD-Programmen folgendes zur Verfügung:

1. Eine einfache Abstraktion zumr lesen der Dateien eines DVD-Images
   (dvd_reader.h).
2. Eine einfache Bibliothek zum parsen der Informationen der IFO Datei
   (ifo_read.h/ifo_types.h).
3. Eine einfache Bibliothek zum Parsen des navigation Pakets
   (nav_read.h/nav_types.h).

Dies ermöglicht Programmierern weitereichende Funktionen des DVD-Formats
zu unterstützen.

libdvdread benutzt libdl um zur Laufzeit dynamisch zu prüfen, ob die
libdvdcss vorhanden ist. Diese wird benötigt um auf CSS verschlüsselte
Video-DVDs zuzugreifen.

Autoren:
--------
    Björn Englund <d4bjorn@dtek.chalmers.se>
    Håkan Hjort <d95hjort@dtek.chalmers.se>
    Billy Biggs <vektor@dumbterm.net>
    Christian Wolff <scarabaeus@convergence.de>

%package -n %{name}-devel
Summary:        Development tools for programs which will use the libdvdread library
Summary(de):    Entwicklertools für Programme, die die libdvdread Bibliothek verwenden
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description -n %{name}-devel
The libdvdread-devel package includes the header files and static libraries
necessary for developing programs which will manipulate DVDs files using
the libdvdread library.

If you are going to develop programs which will manipulate DVDs, you
should install libdvdread-devel.  You'll also need to have the libdvdread
package installed.

Authors:
--------
    Björn Englund <d4bjorn@dtek.chalmers.se>
    Håkan Hjort <d95hjort@dtek.chalmers.se>
    Billy Biggs <vektor@dumbterm.net>
    Christian Wolff <scarabaeus@convergence.de>

%description -n %{name}-devel -l de
Das libdvdread-devel Paket enthällt die Header-Dateien sowie die statischen
Bibliotheken, welche für Entwickler notwendig sind, die Programme erstellen,
die DVD-Dateien mit Hilfe der libdvdread auf DVD-Dateien zuzugreifen.

Falls Sie Programme entwickeln oder compilieren, die auf Video-DVDs
zugreifen, sollten Sie das libdvdread-devel Paket installiern. Es wird
ebenfalls das libdvdread benötigt.

Autoren:
--------
    Björn Englund <d4bjorn@dtek.chalmers.se>
    Håkan Hjort <d95hjort@dtek.chalmers.se>
    Billy Biggs <vektor@dumbterm.net>
    Christian Wolff <scarabaeus@convergence.de>

%debug_package

%prep
%setup -q -n %{libname}-%{version}
%patch0
#%patch1 -p1
%patch2

%build
mv configure configurex
cat configurex | sed -e "s/linux-gnu\*)/linux\*)/g" > configure
chmod 777 configure
%configure

mv libtool libtoolx
cat libtoolx | sed -e "s/\${SED}/sed/g" > libtool
chmod 777 libtool
%{__make} %{?jobs:-j%{jobs}}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files -n %{name}
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files -n %{name}-devel
%defattr(-, root, root)
%dir %{_includedir}/dvdread
%{_includedir}/dvdread/*.h
%{_libdir}/*.so
%{_libdir}/*.*a

%changelog
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build
